import request from '@/utils/request'

// 数据管理->样本库管理->查询样本库列表
export function sampleListAPI(params) {
    return request({
        url: '/smartPlatform/data/sample/getSampleList',
        method: 'GET',
        params
    })
}

// 数据管理->样本库管理->新增样本库
export function addSampleDataAPI(data) {
    return request({
        url: '/smartPlatform/data/sample/addSampleData',
        method: 'post',
        data
    })
}

// 数据管理->样本库管理->修改样本库
export function editSampleDataAPI(data) {
    return request({
        url: '/smartPlatform/data/sample/editSampleData',
        method: 'post',
        data
    })
}

// 数据管理->样本库管理->删除样本库
export function delSampleDataAPI(data) {
    return request({
        url: '/smartPlatform/data/sample/delSampleData',
        method: 'post',
        data
    })
}

// 数据管理->样本库管理->样本库详情
export function getSampleDetailAPI(params) {
  return request({
    url: '/smartPlatform/data/sample/getSampleDetail',
    method: 'get',
    params
  })

}

  // 数据管理->样本库管理->导入样本ZIP包
export function importSampleFileAPI(formData) {
  return request({
    url: '/smartPlatform/data/sample/importSampleFile',
    method: 'post',
    data: formData,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}

// 数据管理->样本库管理->获取样本树数据
export function getSampleTreeAPI(params) {
  return request({
    url: '/smartPlatform/data/sample/getSampleTree',
    method: 'get',
    params
  })
}

// 数据管理->样本库管理->获取样本图片列表
export function getSampleImageListAPI(params) {
  return request({
    url: '/smartPlatform/data/sample/getSampleImageList',
    method: 'get',
    params
  })
}

// 数据管理->样本库管理->获取样本图片列表
export function getSampleListByVersionIdAPI(params) {
  return request({
    url: '/smartPlatform/data/sample/getSampleListByVersionId',
    method: 'get',
    params
  })
}
